{Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved.}

{TERATERM.EXE, TEK window menu routines}

procedure TEKWindow.CMFilePrint(var Msg: TMessage);
begin
with tk do begin
  HelpId := HlpTEKFilePrint;
  if not PrnBox(HWindow,Select) then exit;
  if not PrnStart(@Self, ts.Title) then exit;

  TEKPrint(@tk,@ts,PrintDC,PrnDlg.Flags);

  PrnStop;
end;
end;

procedure TEKWindow.CMFileExit(var Msg: TMessage);
begin
  CloseWindow;
end;

procedure TEKWindow.CMEditCopy(var Msg: TMessage);
begin
  TEKCMCopy(@tk,@ts);
end;

procedure TEKWindow.CMEditCopyScreen(var Msg: TMessage);
begin
  TEKCMCopyScreen(@tk,@ts);
end;


procedure TEKWindow.CMEditPaste(var Msg: TMessage);
begin
with tk do begin
  CBAddCR := false;
  CBStartPaste(HWindow);
end;
end;

procedure TEKWindow.CMEditPasteCR(var Msg: TMessage);
begin
with tk do begin
  CBAddCR := true;
  CBStartPaste(HWindow);
end;
end;

procedure TEKWindow.CMEditClearScreen(var Msg: TMessage);
begin
  TEKClearScreen(@tk);
end;

procedure TEKWindow.CMSetupWindow(var Msg: TMessage);
begin
  HelpId := HlpTEKSetupWindow;
  TEKSetupWinDlg(@tk,@ts);
  if ts.OK then
  begin
    ChangeTitle;
    {3D dialog box}
    if ts.Dlg3d>0 then
      LoadCtl3d
    else
      FreeCtl3d;
    SwitchMenu;
  end;
end;

procedure TEKWindow.CMSetupFont(var Msg: TMessage);
begin
  HelpId := HlpTEKSetupFont;
  TEKSetupFont(@tk,@ts);
end;

procedure TEKWindow.RestoreSetup;
begin
  TEKRestoreSetup(@tk,@ts);
  ChangeTitle;
end;

procedure TEKWindow.CMVTWin(var Msg: TMessage);
begin
  VTActivate;
end;

procedure TEKWindow.CMHelpIndex(var Msg: TMessage);
begin
  if ts.Language=IdJapanese then
    WinHelp(HWindow, HelpJpn, Help_Index, 0)
  else
    WinHelp(HWindow, HelpEng, Help_Index, 0);
end;

procedure TEKWindow.CMHelpUsing(var Msg: TMessage);
begin
  WinHelp(HMainWin, '', Help_HelpOnHelp, 0);
end;

procedure TEKWindow.CMAbout(var Msg: TMessage);
begin
  if not LoadTTDLG then exit;
  AboutDialog(HWindow);
  FreeTTDLG;
end;
