{Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved.}

{TERATERM.EXE, TTCMN interface}
unit TTCommon;

interface

uses WinTypes, TTTypes;

procedure StartTeraTerm(ts: PTTSet);
procedure ChangeDefaultSet(ts: PTTSet);
procedure LoadDefaultSet(SetupFName: PChar);
function GetKeyCode(KeyMap: PKeyMap; Scan: word): word;
procedure GetKeyStr(HWin: HWnd; KeyMap: PKeyMap; KeyCode: word; AppliKeyMode, AppliCursorMode: BOOL;
                    KeyStr: PChar; Len: PInteger; Conv: PBOOL);

procedure SetCOMFlag(Com: byte);
function GetCOMFlag: byte;

function CommReadRawByte(ComVar: PComVar; b: Pbyte): integer;
function CommRead1Byte(ComVar: PComVar; b: Pbyte): integer;
procedure CommInsert1Byte(ComVar: PComVar; b:byte);
function CommRawOut(ComVar: PComVar; B: PChar; C: integer): integer;
function CommBinaryOut(ComVar: PComVar; B: PChar; C: integer): integer;
function CommTextOut(ComVar: PComVar; B: PChar; C: integer): integer;
function CommBinaryEcho(ComVar: PComVar; B: PChar; C: integer): integer;
function CommTextEcho(ComVar: PComVar; B: PChar; C: integer): integer;

implementation

procedure StartTeraTerm;     external 'TTCMN' index 1;
procedure ChangeDefaultSet; external 'TTCMN' index 3;
procedure LoadDefaultSet;   external 'TTCMN' index 4;
function  GetKeyCode;       external 'TTCMN' index 5;
procedure GetKeyStr;        external 'TTCMN' index 6;

procedure SetCOMFlag;       external 'TTCMN' index 10;
function GetCOMFlag;        external 'TTCMN' index 11;

function CommReadRawByte;   external 'TTCMN' index 18;
function CommRead1Byte;     external 'TTCMN' index 19;
procedure CommInsert1Byte;  external 'TTCMN' index 20;
function CommRawOut;        external 'TTCMN' index 21;
function CommBinaryOut;     external 'TTCMN' index 22;
function CommTextOut;       external 'TTCMN' index 23;
function CommBinaryEcho;    external 'TTCMN' index 24;
function CommTextEcho;      external 'TTCMN' index 25;

end.